package ;
import flixel.FlxG;

/**
 * ...
 * @author chinykian
 */
class KeyBinding
{
	
	public static var pressed:Map<String, Void->Bool>;
	public static var justPressed:Map<String, Void->Bool>;

	public static function init() :Void
	{
		pressed = ["jump" => jumpPressed,
				   "left" => leftPressed,
				   "right" => rightPressed,
				   "up" => upPressed,
				   "down" => downPressed,
				   "shoot" => shootPressed];
		justPressed = ["jump" => jumpJustPressed,
					   "left" => leftJustPressed,
					   "right" => rightJustPressed,
					   "up" => upJustPressed,
					   "down" => downJustPressed,
					   "shoot" => shootJustPressed];
	}
	
	//jump
	private static function jumpJustPressed():Bool
	{
		return FlxG.keys.justPressed.W;
	}
	private static function jumpPressed():Bool
	{
		return FlxG.keys.pressed.W;
	}
	
	//left
	private static function leftJustPressed():Bool
	{
		return FlxG.keys.justPressed.A;
	}
	private static function leftPressed():Bool
	{
		return FlxG.keys.pressed.A;
	}
	
	//right
	private static function rightJustPressed():Bool
	{
		return FlxG.keys.justPressed.D;
	}
	private static function rightPressed():Bool
	{
		return FlxG.keys.pressed.D;
	}
	
	//up
	private static function upJustPressed():Bool
	{
		return FlxG.keys.justPressed.W;
	}
	private static function upPressed():Bool
	{
		return FlxG.keys.pressed.W;
	}
	
	//down
	private static function downJustPressed():Bool
	{
		return FlxG.keys.justPressed.S;
	}
	private static function downPressed():Bool
	{
		return FlxG.keys.pressed.S;
	}
	
	//shoot
	private static function shootJustPressed():Bool
	{
		return false;
	}
	private static function shootPressed():Bool
	{
		return false;
	}
	
}