package event;
/**
 * Stores all const referring to the various events
 * @author chinykian
 */
class EventType 
{
	
	public static inline var LEVEL_INIT:Int     = 1000; //level : "assets/levels/arena.json"
	public static inline var LEVEL_DESTROY:Int  = 1001;

	public static inline var OBJECT_SPAWNED:Int = 1100; //object:GameObject
	
	public static inline var PLAYER_DEATH:Int	= 2000;
	public static inline var PLAYER_STEP:Int	= 2001;
	
	public static inline var DISPLAY_INFO:Int	= 2100; //patient:Patient
	public static inline var DISPLAY_CANCEL:Int	= 2101; //patient:...
	public static inline var TREAT_PATIENT:Int	= 2102; //patient:...
	public static inline var CLEAR_PATIENT:Int	= 2103; //patient:...
	
	public static inline var TURN_PASSED:Int = 3000;
	public static inline var TURN_PASSED_OVER:Int = 3001;
	
	public static inline var PATIENT_CURED:Int = 4000;
	public static inline var PATIENT_DIED:Int = 4001;
	
}
