package fx;
import event.EventManager;
import event.EventType;
import flixel.FlxG;
import flixel.FlxObject;
import flixel.tile.FlxTilemap;
import flixel.util.FlxPoint;
import fx.particles.BloodEmitter;
import fx.particles.EmptyShellEmitter;
import fx.particles.SparkEmitter;
import objects.GameCharacter;
import objects.MapLoader;

/**
 * ...
 * @author chinykian
 */
class FxManager
{

	public static function init():Void
	{
	}
	
	public static function update():Void
	{
	}
	
	private static function getTilePosition(obj:FlxObject):FlxPoint
	{
		var point = new FlxPoint();
		var centerX = obj.x + obj.width * 0.5;
		var centerY = obj.y + obj.height * 0.5 + 2; //hack: +2
		point.set(Math.floor(centerX / MapLoader.TILE_SIZE), Math.floor(centerY / MapLoader.TILE_SIZE));
		return point;
	}
	
}