package objects;
import openfl.Assets;
import flixel.group.FlxGroup;

/**
 * ...
 * @author chinykian
 */
class Monitor extends GameObject
{
	//hack
	public static var AllMonitors:Array<Monitor> = null;

	public function new() 
	{
		super();
		loadGraphic(Assets.getBitmapData("assets/img/monitor/monitor_sprite.png"), true, false, 32, 64);
		animation.add("ill/injured", [0, 1], 20);
		animation.add("urgent", [2, 3], 20);
		animation.add("critical", [4, 5], 20);
		animation.add("idle", [6], 20);
		animation.add("deceased", [7], 20);
		
		animation.play("idle");
		
		AllMonitors.push(this);
	}
	
	public override function initEntity(_parent:FlxGroup):Void
	{
		super.initEntity(_parent);
	}
	
	public function setStatus(status:String):Void
	{
		animation.play(status);
	}
	
}
