package ;
import flixel.FlxG;

/**
 * ...
 * @author chinykian
 */
class FloatOscillator
{
	//members
	public var value:Float;
	public var speed:Float = 1;
	
	private var mDisp:Float = 0;
	private var mElapsed:Float = 0;
	private var mStartVal:Float = 0;

	public function new()
	{
	}
	
	public function start(disp:Float, _speed:Float):Void
	{
		value = 0;
		mDisp = disp;
		speed = _speed;
	}
	
	public function update():Void
	{
		mElapsed += FlxG.elapsed * speed;
		value = (Math.sin(mElapsed)*0.5 + 0.5) * mDisp;
	}
	
}