package fx.particles;
import flixel.effects.particles.FlxEmitterExt;
import flixel.effects.particles.FlxEmitter;
import flixel.FlxObject;
import flixel.FlxSprite;
import flixel.FlxState;
import openfl.Assets;

/**
 * ...
 * @author chinykian
 */
class BloodEmitter
{
	
	private static var mEmitter:FlxEmitterExt;
	
	public static function getEmitter():FlxEmitterExt
	{
		return mEmitter;
	}
	
	public static function init():Void
	{
		mEmitter = new FlxEmitterExt();
		mEmitter.setRotation(0, 0);
		mEmitter.makeParticles(Assets.getBitmapData("assets/img/particles/blood.png"), 100, 0, false, 1, false);
		//state.add(mEmitter);
	}
	
	public static function spray(posX:Float, posY:Float, toLeft:Bool, power:Float=1, scale:Float=1):Void
	{
		//-170 : -10
		mEmitter.setMotion(toLeft ? 180 : 0, 10*power, 0.05, toLeft ? 45 : -45, 20, 0.05);
		mEmitter.acceleration.y = 500;
		mEmitter.bounce = 0;
		mEmitter.startScale.min = 1.0;
		mEmitter.startScale.max = scale;
		mEmitter.endScale.min = 1.0;
		mEmitter.endScale.max = scale;
		mEmitter.x = posX;
		mEmitter.y = posY;
		mEmitter.start(true, 0, 0, 3, 100);
	}
	
}