package fx.particles;
import flixel.effects.particles.FlxEmitterExt;
import flixel.FlxObject;
import flixel.FlxSprite;
import flixel.FlxState;
import openfl.Assets;

/**
 * ...
 * @author chinykian
 */
class EmptyShellEmitter
{
	
	private static var mEmitter:FlxEmitterExt;
	
	public static function getEmitter():FlxEmitterExt
	{
		return mEmitter;
	}
	
	public static function init():Void
	{
		mEmitter = new FlxEmitterExt();
		mEmitter.setRotation(0, 0);
		mEmitter.makeParticles(Assets.getBitmapData("assets/img/particles/emptyshell.png"), 50, 0, false, 1, false);
		//state.add(mEmitter);
	}
	
	public static function spray(posX:Float, posY:Float, toLeft:Bool):Void
	{
		//-170 : -10
		mEmitter.setMotion(toLeft ? 180 : 0, 60, 0.05, toLeft ? 45 : -45, 50, 0.05);
		mEmitter.acceleration.y = 500;
		mEmitter.bounce = 0.35;
		mEmitter.x = posX;
		mEmitter.y = posY;
		mEmitter.start(true, 0, 0, 1, 2.5);
	}
	
}