package hud;
import flixel.FlxG;
import flixel.group.FlxGroup;
import flixel.text.FlxText;

/**
 * ...
 * @author chinykian
 */
class TreatingAlertText extends FlxGroup
{
	//members
	private var mFlashingText:FlxText;
	private var mElapsed:Float = 0;

	public function new() 
	{
		super();
		mFlashingText = new FlxText(0, 0, 100, "");
		mFlashingText.setBorderStyle(FlxText.BORDER_OUTLINE);
		mFlashingText.setPosition(0, 0);
		mFlashingText.text = "TREATING";
		mFlashingText.alignment = "center";
		
		add(mFlashingText);
	}
	
	public function setText(val:String):Void
	{
		mFlashingText.text = val;
	}
	
	public function initEntity(_parent:FlxGroup):Void
	{
		_parent.add(this);
	}
	
	public function setPosition(x:Float, y:Float):Void
	{
		mFlashingText.setPosition(x, y);
	}
	
	public override function update():Void
	{
		mElapsed += FlxG.elapsed * 10;
		mFlashingText.alpha = (Math.sin(mElapsed) * 0.5 + 0.5) *0.8 + 0.2;
		super.update();
	}
	
}