package patients;
import flixel.util.FlxArrayUtil;

/**
 * ...
 * @author chinykian
 */
class PatientLines
{
	private static var CHILD_LINES:Array<String> = 
	[
		"I want my mum!",
		"I want my dad!",
		"I saw my mother die.",
		"I saw my father die.",
		"It hurts so much!",
		"I don't want to die.",
		"Please save me...",
		"Please find my parents.",
		"I can't feel my arms.",
		"I can't feel my legs",
		"My birthday is tomorrow",
		"I feel so lonely",
		"Why does it hurt so much?",
		"I miss my dog...",
		"I want to go home."
	];
	
	private static var ADULT_LINES:Array<String> = 
	[
		"Where's my son?",
		"Where's my daughter?",
		"Where are my parents?",
		//"Please save my child before me",
		"I can't stand the pain.",
		"God forgive me.",
		"We didn't deserve this.",
		"I don't want to suffer like this.",
		"Please save me.",
		"Please make the pain stop.",
		"So many people dead...",
		//"Please save my husband.",
		//"Please save my wife.",
		"I can feel myself fading"
	];
	
	private static var SENIOR_LINES:Array<String> = 
	[
		"I want to see my grandchild.",
		"I want to see my grandkids.",
		"Why couldn't I die peacefully.",
		"This world is too cruel",
		"Where is our humanity?",
		"I'm dying!",
		"I can't take it anymore.",
		"I'm tired.",
		"I never said sorry to her...",
		"I never said sorry to him...",
		"Oh well, I was going to die anyway.",
		"I can't feel my arms.",
		"I can't feel my legs.",
		"I can't see anything!.",
		"I can't hear anything!"
	];

	public static function getQuoteByAge(age:Int):String
	{
		if (age <= 21)
			return FlxArrayUtil.getRandom(CHILD_LINES);
		else if (age <= 50)
			return FlxArrayUtil.getRandom(ADULT_LINES);
		else
			return FlxArrayUtil.getRandom(SENIOR_LINES);
		return "";
	}
	
}