package;

import openfl.Assets;
import flash.events.MouseEvent;
import flash.Lib;
import flixel.FlxCamera;
import flixel.FlxObject;
import flixel.FlxSprite;
import flixel.FlxState;
import flixel.group.FlxGroup;
import flixel.text.FlxText;
import flixel.util.FlxMisc;
import flixel.util.FlxPoint;
import flixel.util.FlxSpriteUtil;
import flixel.FlxG;
import objects.*;
import gui.GuiOverlay;
import gui.GuiTextButton;

/**
* author: chinykian
*/
class MenuState extends FlxStateExt
{
	
	override public function create():Void
	{
		super.create();
		FlxG.mouse.show();
		FlxG.camera.bgColor = 0xffaaaaaa;
		
		var overlay = new GuiOverlay();
		add(overlay);
		
		overlay.addTextButton("GENERIC GAME", null, new FlxPoint(0, -150), new FlxPoint(0, 20), 24, "center");
		overlay.addTextButton("start", onStartGame, new FlxPoint(0, GameClass.gameHeight + 10), new FlxPoint(0, 100), 16, "center", 0.15);
	}
	
	private function onStartGame():Void
	{
		//todo:: screen transition
		FlxG.switchState(new PlayState());
	}
	
	override public function update():Void
	{
		super.update();
	}
	
	public override function onMouseMove(evt:MouseEvent):Void
	{
		super.onMouseMove(evt);
	}
	
}
