package ;

/**
 * ...
 * @author chinykian
 */
class GenericPool<T>
{
	
	private var mPool:Array<T>;
	private var mCurrIndex:Int;
	private var mNewItemFunc:Void->T;
	
	public function getArray():Array<T>
	{
		return mPool;
	}

	public function new(size:Int, newItemFunc:Void -> T) 
	{
		mNewItemFunc = newItemFunc;
		
		mCurrIndex = 0;
		mPool = new Array<T>();
		for (i in 0 ... size)
		{
			var item = mNewItemFunc();
			mPool.push(item);
		}
	}
	
	public function get():T
	{
		var obj = mPool[mCurrIndex];
		++mCurrIndex;
		mCurrIndex %= mPool.length;
		return obj;
	}
	
}