package wave;

/**
 * ...
 * @author chinykian
 */
class WaveData
{

	// level name; spawner name
	private static var mStageWaves:Map<String, Array<SubWave>>;
	
	public static function init():Void
	{
		mStageWaves = new Map<String, Array<SubWave>> ();
	}
	
	public static function getWave(stageName:String, wavenum:Int):SubWave
	{
		var waveIndex = wavenum - 1;
		//validation
		if (mStageWaves.exists(stageName) == false)
			throw "Error: WaveData";
		if (waveIndex >= mStageWaves[stageName].length)
			throw "Error: WaveData";
		return mStageWaves[stageName][waveIndex];
	}
	
	public static function getTotalWaves(stagename:String):Int
	{
		return mStageWaves[stagename].length;
	}
	
	private static function addWave(stageName:String, wav:SubWave):Void
	{
		if (mStageWaves.exists(stageName) == false)
			mStageWaves.set(stageName, new Array<SubWave>());
			
		mStageWaves[stageName].push(wav);
	}
}
